From 04259b8e2526fb6d7f1b28371271aa1b37eb6462 Mon Sep 17 00:00:00 2001
From: bobijam <bobijam>
Date: Fri, 15 Aug 2008 17:13:17 +0000
Subject: [PATCH] Branch b1_8_gate b=16317 i=adilger

conf-sanity test case for verifying that the mounted client data is present.
---
 lustre/tests/conf-sanity.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/lustre/tests/conf-sanity.sh b/lustre/tests/conf-sanity.sh
index 034217d9bb..980e65392b 100644
--- a/lustre/tests/conf-sanity.sh
+++ b/lustre/tests/conf-sanity.sh
@@ -1636,5 +1636,22 @@ test_43() { #bug 15993
 }
 run_test 43 "remove common EA if it exists"
 
+test_44() { # 16317
+        setup
+        check_mount || return 2
+        UUID=$($LCTL get_param llite.${FSNAME}*.uuid | cut -d= -f2)
+        STATS_FOUND=no
+        UUIDS=$(do_facet mds "$LCTL get_param mds.${FSNAME}*.exports.*.uuid")
+        for VAL in $UUIDS; do
+                NID=$(echo $VAL | cut -d= -f1)
+                CLUUID=$(echo $VAL | cut -d= -f2)
+                [ "$UUID" = "$CLUUID" ] && STATS_FOUND=yes && break
+        done
+        [ "$STATS_FOUND" = "no" ] && error "stats not found for client"
+        cleanup
+        return 0
+}
+run_test 44 "mounted client proc entry exists"
+
 equals_msg `basename $0`: test complete
 [ -f "$TESTSUITELOG" ] && cat $TESTSUITELOG || true
-- 
GitLab